import 'package:flutter/material.dart';
import 'package:furibase/components/collection_container.dart';

class CollectionCaraterScreen extends StatefulWidget {
  const CollectionCaraterScreen({super.key});

  @override
  State<CollectionCaraterScreen> createState() =>
      _CollectionCaraterScreenState();
}

class _CollectionCaraterScreenState extends State<CollectionCaraterScreen> {
  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          SizedBox(height: 80),
          Padding(
            padding: EdgeInsets.all(40),
            child: Wrap(
              alignment: WrapAlignment.spaceAround,
              spacing: 10, // Horizontal spacing between the containers
              runSpacing: 10, // Vertical spacing between lines
              children: [
                CollectionContainer(
                  label: "Luffy",
                  imagesrc: 'images/luffy.png',
                  onTapAc: () => {},
                ),
                CollectionContainer(
                  label: "Oni Chan",
                  imagesrc: 'images/klipartz.png',
                  onTapAc: () => {},
                ),
                CollectionContainer(
                  label: "Cepot",
                  imagesrc: 'images/cepott.png',
                  onTapAc: () => {},
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
